package com.jojubanking.boot.module.system.convert.ksinfo;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.ksinfo.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.ksinfo.KsInfoDO;

/**
 * 科室信息 Convert
 *
 * @author admin
 */
@Mapper
public interface KsInfoConvert {

    KsInfoConvert INSTANCE = Mappers.getMapper(KsInfoConvert.class);

    KsInfoDO convert(KsInfoCreateReqVO bean);

    KsInfoDO convert(KsInfoUpdateReqVO bean);

    KsInfoRespVO convert(KsInfoDO bean);

    List<KsInfoRespVO> convertList(List<KsInfoDO> list);

    PageResult<KsInfoRespVO> convertPage(PageResult<KsInfoDO> page);

    List<KsInfoExcelVO> convertList02(List<KsInfoDO> list);

}
